For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a phone book
      • GETList phone books
      • DELDelete a phone book
      • POSTCreate a phone book entry
      • DELDelete a phone book entry
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIPhone Books

List phone books

||View as Markdown|
GET
/phonebooks
GET
/v2/phonebooks
$curl https://api.synthflow.ai/v2/phonebooks \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "status": "ok",
3 "response": {
4 "total": 11,
5 "page_size": 10,
6 "page_number": 1,
7 "items": [
8 {
9 "phone_book_id": "string",
10 "workspace_id": "1706297038990x776227155126255600",
11 "name": "Lus",
12 "entry_count": 0,
13 "agents": [
14 "string"
15 ]
16 }
17 ]
18 }
19}
List all phone books in your workspace.
Was this page helpful?
Previous

Delete a phone book

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

200
statusstring
Whether the request was successful.
responseobject